## fbdevsink fbdevsink |

## Properties

gchar * | device | Read / Write

## Types and Values

struct | GstFBDEVSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstVideoSink
                            ╰── GstFBDEVSink

## Description

## Synopsis

### Element Information

plugin | fbdevsink
author | Sean D'Epagnier <sean@depagnier.com>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ RGB, BGR, BGRx, xBGR, RGB, RGBx, xRGB, RGB15, RGB16 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstFBDEVSink

    struct GstFBDEVSink;

## Property Details

### The `“device”` property

      “device”                   gchar *

The framebuffer device eg: /dev/fb0.

Flags: Read / Write

Default value: NULL